com.holonplatform.vaadin.flow.components.builders

## Interface LabelConfigurator.BaseLabelConfigurator<L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier>

- All Superinterfaces:
    ClickNotifierConfigurator<L,ClickEvent<L>,LabelConfigurator.BaseLabelConfigurator<L>>, ComponentConfigurator<LabelConfigurator.BaseLabelConfigurator<L>>, DeferrableLocalizationConfigurator<LabelConfigurator.BaseLabelConfigurator<L>>, HasDeferrableLocalization, HasElementConfigurator<LabelConfigurator.BaseLabelConfigurator<L>>, HasEnabledConfigurator<LabelConfigurator.BaseLabelConfigurator<L>>, HasHtmlTextConfigurator<LabelConfigurator.BaseLabelConfigurator<L>>, HasSizeConfigurator<LabelConfigurator.BaseLabelConfigurator<L>>, HasStyleConfigurator<LabelConfigurator.BaseLabelConfigurator<L>>, HasTextConfigurator<LabelConfigurator.BaseLabelConfigurator<L>>, HasTitleConfigurator<LabelConfigurator.BaseLabelConfigurator<L>>, HtmlComponentConfigurator<LabelConfigurator.BaseLabelConfigurator<L>>, LabelConfigurator<L,LabelConfigurator.BaseLabelConfigurator<L>>
  Enclosing interface:
    LabelConfigurator<L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier,C extends LabelConfigurator<L,C>>

      public static interface LabelConfigurator.BaseLabelConfigurator<L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier>
      extends LabelConfigurator<L,LabelConfigurator.BaseLabelConfigurator<L>>

  Base Label configurator.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.LabelConfigurator

      `LabelConfigurator.BaseLabelConfigurator<L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.LabelConfigurator

      `configure`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasHtmlTextConfigurator

      `htmlText, htmlText, htmlText`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ClickNotifierConfigurator

      `onClick, withClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

Copyright © 2019 The Holon Platform. All rights reserved.